﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;

    [Serialized]
    [LocDisplayName("Leberkasroh")]
    [Weight(400)]
    public partial class LeberkasrohItem : FoodItem
    {
        public override LocString DisplayNamePlural     => Localizer.DoStr("Prepared Meat");
        public override LocString DisplayDescription    => Localizer.DoStr("Carefully butchered meat, ready to cook.");
        
        public override float Calories                  => 600;
        public override Nutrients Nutrition             => new Nutrients() { Carbs = 5, Fat = 10, Protein = 4, Vitamins = 0};
    }

    [RequiresSkill(typeof(ButcherySkill), 2)]
    public partial class LeberkasrohRecipe : RecipeFamily
    {
        public LeberkasrohRecipe()
        {
            var product = new Recipe(
                "Leberkasroh",
                Localizer.DoStr("Leberkasroh"),
                new IngredientElement[]
                {
                    new IngredientElement(typeof(RawMeatItem), 4, typeof(ButcherySkill), typeof(ButcheryLavishResourcesTalent)),   
                },
                new CraftingElement<LeberkasrohItem>(1),
                new CraftingElement<ScrapMeatItem>(2f) 
                 
                );

            this.Recipes = new List<Recipe> { product };
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(ButcherySkill));
            this.CraftMinutes = CreateCraftTimeValue(typeof(LeberkasrohRecipe), 0.8f, typeof(ButcherySkill), typeof(ButcheryFocusedSpeedTalent), typeof(ButcheryParallelSpeedTalent));
            this.Initialize(Localizer.DoStr("Leberkasroh"), typeof(LeberkasrohRecipe));
            CraftingComponent.AddRecipe(typeof(ButcheryTableObject), this);
        }
    }
}
