﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;

    [Serialized]
    [LocDisplayName("LeberkäsBrötchen")]
    [Weight(200)]
    
    public partial class LeberkasBrotchenItem : FoodItem
    {
        public override LocString DisplayDescription    => Localizer.DoStr("A soft, slightly sweet bread studded with juicy fruits.");
        
        public override float Calories                  => 1000;
        public override Nutrients Nutrition             => new Nutrients() { Carbs = 20, Fat = 10, Protein = 10, Vitamins = 0};
    }

    [RequiresSkill(typeof(BakingSkill), 1)]
    public partial class LeberkasBrotchenRecipe : RecipeFamily
    {
        public LeberkasBrotchenRecipe()
        {
            var product = new Recipe(
                "LeberkasBrotchen",
                Localizer.DoStr("LeberkasBrotchen"),
                new IngredientElement[]
                {
                    new IngredientElement(typeof(weizenbrotchenItem), 1, typeof(BakingSkill), typeof(BakingLavishResourcesTalent)),   
                    new IngredientElement(typeof(gebackenerLeberkaseItem), 1, typeof(BakingSkill), typeof(BakingLavishResourcesTalent)),   
                },
                new CraftingElement<LeberkasBrotchenItem>(1)
                );

            this.Recipes = new List<Recipe> { product };
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(BakingSkill));
            this.CraftMinutes = CreateCraftTimeValue(typeof(LeberkasBrotchenRecipe), 2, typeof(BakingSkill), typeof(BakingFocusedSpeedTalent), typeof(BakingParallelSpeedTalent));
            this.Initialize(Localizer.DoStr("LeberkasBrotchen"), typeof(LeberkasBrotchenRecipe));
            CraftingComponent.AddRecipe(typeof(BakeryOvenObject), this);
        }
    }
}
