﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;

    [Serialized]
    [LocDisplayName("gebackenerLeberkase")]
    [Weight(200)]
    
    public partial class gebackenerLeberkaseItem : FoodItem
    {
        public override LocString DisplayDescription    => Localizer.DoStr("A soft, slightly sweet bread studded with juicy fruits.");
        
        public override float Calories                  => 1000;
        public override Nutrients Nutrition             => new Nutrients() { Carbs = 11, Fat = 5, Protein = 7, Vitamins = 0};
    }

    [RequiresSkill(typeof(BakingSkill), 1)]
    public partial class gebackenerLeberkaseRecipe : RecipeFamily
    {
        public gebackenerLeberkaseRecipe()
        {
            var product = new Recipe(
                "gebackenerLeberkase",
                Localizer.DoStr("gebackenerLeberkase"),
                new IngredientElement[]
                {
                       
                    new IngredientElement(typeof(LeberkasrohItem), 1, typeof(BakingSkill), typeof(BakingLavishResourcesTalent)),   
                },
                new CraftingElement<gebackenerLeberkaseItem>(1)
                );

            this.Recipes = new List<Recipe> { product };
            this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(BakingSkill));
            this.CraftMinutes = CreateCraftTimeValue(typeof(gebackenerLeberkaseRecipe), 2, typeof(BakingSkill), typeof(BakingFocusedSpeedTalent), typeof(BakingParallelSpeedTalent));
            this.Initialize(Localizer.DoStr("gebackenerLeberkase"), typeof(gebackenerLeberkaseRecipe));
            CraftingComponent.AddRecipe(typeof(BakeryOvenObject), this);
        }
    }
}
